NAUTY-MULTIG(1)

NAME
nauty-multig - generate small multigraphs with given underlying graph

SYNOPSIS
multig [-q] [-V] [-u|-T|-G|-A|-B] [-e#|-e#:#]

DESCRIPTION

    [-m#] [-f#] [-D#|-r#|-l#] [infile [outfile]]

    Read undirected loop-free graphs and replace their edges with multiple

    edges in all possible ways (multiplicity at least 1). Isomorphic multigraphs derived from the same input are suppressed. If the input graphs are non-isomorphic then the output graphs are also.

-e# | -e#:#
    specify a value or range of the total number of edges counting multiplicities

-m# maximum edge multiplicity (minimum is 1)

-D# upper bound on maximum degree

-r# make regular of specified degree (incompatible with -l, -D, -e)

-l# make regular multigraphs with multiloops, degree #

    (incompatible with -r, -D, -e)

-f# Use the group that fixes the first # vertices setwise

-V  read the T format as produced by vcolg and obey the vertex colours in computing the automorphism group. If -T or -G is used as the output format, a list of the input colours is included.

    Either -l, -r, -D, -e or -m with a finite maximum must be given -T use a simple text output format (nv ne {v1 v2 mult}) -G like -T but includes group size as third item (if less than 10^10)

    The group size does not include exchange of isolated vertices.

-A  write as the upper triangle of an adjacency matrix, row by row, including the diagonal, and preceded by the number of vertices

-B  write as an integer matrix preceded by the number of rows and number of columns, where -f determines the number of rows

-u  no output, just count them

-q  suppress auxiliary information